# This is the CRAN name
%global packname leaps
# This is the main package version
%global packver 3.0

Name: R-%{packname}
Version: %{packver}
Release: 3.el9.lc
Summary: Regression subset selection including exhaustive search

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/leaps/index.html
Source0: http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: R-devel, tex(latex)
Requires: R-core

%description
R package:
Regression subset selection including exhaustive search

%define debug_package %{nil}

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}
cp -p %{packname}/README %{buildroot}%{_libdir}/R/library/%{packname}

%check
# We have to use --no-install because we don't have all of the suggested
# dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%post

%postun

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/NEWS
%doc %{_libdir}/R/library/%{packname}/README
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/help

%changelog
* Thu May 1 2025 Stuart Raeburn <raeburn@loncapa.org> (3.0-3)
- Rebuild for R 4.5.0

* Fri Jun 21 2024 Stuart Raeburn <raeburn@loncapa.org> (3.0-2)
- Rebuild for R 4.4.0

* Tue May 9 2023 Stuart Raeburn <raeburn@loncapa.org> (3.0-1)
- Rebuild for R 4.3.0

* Sun Apr 23 2023 Stuart Raeburn <raeburn@loncapa.org> (3.0-0)
- Initial build for R 4.2.3

